#include <iostream>
#include <cmath>
using namespace std;

int main() {
	int x1, y1, x2, y2;
	cin >> x1 >> y1;
	cin >> x2 >> y2;
	if (abs(x2-x1)!=abs(y2-y1)) {
		if ((abs(x2-x1)==0 && abs(y2-y1)!=0) || (abs(y2 - y1) == 0 && abs(x2 - x1) != 0)) {
			cout << 2 << endl;
			return 0;
		}
		else {
			cout << 0 << endl;
			return 0;
		}
	}
	else {
		cout << 1 << endl;
		return 0;
	}
	
	
	
}